Opened 17 years ago

Closed 17 years ago

Last modified 10 years ago

#198 closed defect (fixed)

CD audio/mp3 music does not loop

Reported by: SF/logicdeluxe Owned by: fingolfin
Priority: low Component: Engine: SCUMM
Keywords: Cc:
Game: Monkey Island 1

Description

Built on Apr 27 2002 17:44:51
In several scenes the background music/environment
noise should play in a loop.
In CD audio it plays the CD to the end rather than
restarting the current track.
With mp3 it plays just once and then it becomes quite.

Ticket imported from: #549544. Ticket imported from: bugs/198.

Change History (12)

comment:1 Changed 17 years ago by SF/logicdeluxe

Built on Apr 29 2002 19:38:13
While playing to the end of the CD instead of restarting the
track, the game pauses around every 1 or 2 seconds for a
short moment as soon as the correct track ended and is
supposed to restart.

comment:2 Changed 17 years ago by SF/bbrox

Do you have a precise example ? For example, in the Scumm
bar, does it show this behaviour (this is just to be sure
that I 'fix' something that is really here :-) ).

comment:3 Changed 17 years ago by SF/bbrox

Owner: set to SF/bbrox
Priority: normallow

comment:4 Changed 17 years ago by SF/logicdeluxe

Yes, it also happens in the Scumm bar. However the pausing
behavior might depend on the CD drive and seems to be a side
effect to the actual bug. You can enter the Scumm bar and
track 9 starts to play. Just wait and the CD also plays
tracks 10-25. According to this pausing something happens at
the end of track 9 there, but it has definately not the
desired effect.
I didn't notice any pausing with mp3 music.

comment:5 Changed 17 years ago by SF/doomstalk

I've encountered this problem as well in SoMI CD version at
the lookout heights during the first scene of the actual
game. In case it helps figure out the problem, I own a NEC
DV-5700A DVD drive and am running Windows XP Professional
Build 2600.

comment:6 Changed 17 years ago by fingolfin

What is the status of this item?

comment:7 Changed 17 years ago by SF/logicdeluxe

Built on Aug 1 2002 20:01:31 win
The game stucks about every half second for a short moment
while a mp3-track is playing. It's some weeks ago I tested
this the last time, so I don't know since when this happens.
But when I was filing the report it didn't stuck at all with
mp3 playback, only with CD audio. Only the scene is
effected, not the music or sound itself which sound fine.

comment:8 Changed 17 years ago by SF/logicdeluxe

I played the latest version: In Monkey Island it works fine
with CD audio and with mp3. It loops where it should. Even
the stucking is gone. In Zak256 there also is no stucking
anymore, but the tracks do not loop. With CD audio the CD
just stops after the track is finished. With mp3 it is also
quite after the track has reached the end. At least no wrong
track is played any longer.

comment:9 Changed 17 years ago by fingolfin

What is the status of this item?

comment:10 Changed 17 years ago by fingolfin

Owner: SF/bbrox deleted
Resolution: fixed
Status: newclosed

comment:11 Changed 17 years ago by fingolfin

According to travan & chuzwuzza on #scummvm, this is working
correctly now.

comment:12 Changed 10 years ago by Kirben

Owner: set to fingolfin
Note: See TracTickets for help on using tickets.